# Method: organizations.locations.effectiveSecurityHealthAnalyticsCustomModules.get

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.effectiveSecurityHealthAnalyticsCustomModules/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.effectiveSecurityHealthAnalyticsCustomModules/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.effectiveSecurityHealthAnalyticsCustomModules/get#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.effectiveSecurityHealthAnalyticsCustomModules/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.effectiveSecurityHealthAnalyticsCustomModules/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.effectiveSecurityHealthAnalyticsCustomModules/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.effectiveSecurityHealthAnalyticsCustomModules/get#try-it)

Gets details of a single `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveSecurityHealthAnalyticsCustomModules#EffectiveSecurityHealthAnalyticsCustomModule`.

### HTTP request

`GET https://securitycentermanagement.googleapis.com/v1/{name=organizations/*/locations/*/effectiveSecurityHealthAnalyticsCustomModules/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The full resource name of the custom module, specified in one of the following formats: - `organizations/organization/{location}/effectiveSecurityHealthAnalyticsCustomModules/{custom_module}` - `folders/folder/{location}/effectiveSecurityHealthAnalyticsCustomModules/{custom_module}` - `projects/project/{location}/effectiveSecurityHealthAnalyticsCustomModules/{custom_module}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveSecurityHealthAnalyticsCustomModules#EffectiveSecurityHealthAnalyticsCustomModule`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `securitycentermanagement.effectiveSecurityHealthAnalyticsCustomModules.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).